Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSEncryptedDataInputConnector

`java.lang.Object
oracle.security.crypto.cms.CMSEncryptedDataInputConnector`

All Implemented Interfaces:
  CMSInputConnector

public class CMSEncryptedDataInputConnector
extends java.lang.Object
implements CMSInputConnector

A `CMSEncryptedDataInputConnector` is used in place of a `CMSEncryptedDataInputStream` when reading nested CMS objects containing `encrypted-data` structures.

A `CMSEncryptedDataInputConnector` is essentially a input stream filter that unwraps the CMS `encrypted-data` structure from the data read in. A `CMSEncryptedDataInputConnector` expects the Content field of the CMS ContentInfo structure i.e. the underlying input stream must be positioned just after the explicit [0] tag wrapper.

See Also:
  `CMSInputConnector`, `CMSEncryptedDataInputStream`

Constructor Summary
`CMSEncryptedDataInputConnector(CMSInputConnector conn, oracle.security.crypto.core.SymmetricKey contentEncryptionKey)` Creates a `CMSEncryptedDataInputConnector`.
`CMSEncryptedDataInputConnector(java.io.InputStream in, oracle.security.crypto.core.SymmetricKey contentEncryptionKey)` Creates a `CMSEncryptedDataInputConnector`.

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getEnclosedContentType()` Returns the content type of the encrypted content.
`java.io.InputStream` | `getInputStream()` Returns the underlying input stream governing this connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSEncryptedDataInputConnector

    public CMSEncryptedDataInputConnector(java.io.InputStream in,
                                          oracle.security.crypto.core.SymmetricKey contentEncryptionKey)

  Creates a `CMSEncryptedDataInputConnector`.
Parameters:
  `in` - The underlying input stream.
  `contentEncryptionKey` - The content decryption key.

### CMSEncryptedDataInputConnector

    public CMSEncryptedDataInputConnector(CMSInputConnector conn,
                                          oracle.security.crypto.core.SymmetricKey contentEncryptionKey)

  Creates a `CMSEncryptedDataInputConnector`.
Parameters:
  `conn` - The underlying input connector.
  `contentEncryptionKey` - The content decryption key.

Method Detail

### getEnclosedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getEnclosedContentType()
                                                                    throws java.io.IOException

  Returns the content type of the encrypted content.
  Specified by:
    `getEnclosedContentType` in interface `CMSInputConnector`
  Returns:
    The content type identifier.
  Throws:
    `java.io.IOException` - An I/O error occurs or the input encoding is incorrect.

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the underlying input stream governing this connector.
  Specified by:
    `getInputStream` in interface `CMSInputConnector`
  Returns:
    The input stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.